<div class="public-horizon-form">
    <div class="public-horizon">
        <label class="horizon-label label-4"><span class="text-red">*</span>生产区域：</label>
        <div class="horizon-group horizon-col-3">
            <ui-select ng-init="config.$workCenterSelect = $select" class="andon-content-ui-select" ng-change="workCenterChanged($select);" ng-model="config.currentWorkCenter">
                <ui-select-match placeholder="--- 请选择 ---">
                    <!--config.currentWorkCenter.workCenter || -->
                    <span ng-bind="config.currentWorkCenter.description"></span>
                </ui-select-match>
                <!-- <ui-select-header>请选择</ui-select-header> -->

                <ui-select-no-choice>
                    <a href ng-click="$select.toggle($event);">暂无数据</a>
                </ui-select-no-choice>
                <ui-select-choices repeat="item in (config.workCenters) track by $index">
                    <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                </ui-select-choices>
            </ui-select>
        </div>
        <label class="horizon-label label-2"><span class="text-red">*</span>拉线：</label>
        <div class="horizon-group horizon-col-3">
            <ui-select ng-init="config.$lineSelect = $select" class="andon-content-ui-select" ng-placeholder="请输入" ng-change="lineChanged($select);" ng-model="config.currentLine">
                <ui-select-match placeholder="--- 请选择 ---">
                    <!--config.currentLine.workCenter ||-->
                    <span ng-bind="config.currentLine.description"></span>
                </ui-select-match>
                <ui-select-no-choice>
                    <a href ng-click="$select.toggle($event);">
                        <span ng-click="tipSelectClick('line');" ng-if="!config.currentWorkCenter.workCenter" class="no-action-color">请先选择生产区域</span>
                        <span ng-if="!!config.currentWorkCenter.workCenter" class="no-data-color">该生产区域暂无拉线</span>
                    </a>
                </ui-select-no-choice>
                <ui-select-choices repeat="item in (config.lines | filter: $select.search) track by $index">
                    <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                </ui-select-choices>
            </ui-select>
        </div> 
        <label class="horizon-label label-4">设备类型：</label>
        <div class="horizon-group horizon-col-3">
            <ui-select ng-init="config.$deviceTypeSelect = $select"
                       class="andon-content-ui-select" ng-placeholder="请输入" ng-change="deviceTypeChanged($select);" ng-model="config.currentDeviceType">
                <ui-select-match placeholder="--- 请选择 ---">
                    <!--config.currentDeviceType.resourceType ||-->
                    <span ng-bind="config.currentDeviceType.description"></span>
                </ui-select-match>
                <ui-select-no-choice>
                    <a href ng-click="$select.toggle($event);">暂无数据</a>
                </ui-select-no-choice>
                <ui-select-choices repeat="item in (config.deviceTypes) track by $index">
                    <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                </ui-select-choices>
            </ui-select>
        </div>
        <label class="horizon-label label-4">设备编码：</label>
        <!--<div class="horizon-group horizon-col-3">-->
            <!--<ui-select multiple ng-init="config.$deviceNumSelect = $select"-->
                       <!--class="andon-ui-mutiply-select" ng-placeholder="请输入" ng-change="deviceNumChanged($select);" ng-model="config.currentDeviceNums">-->
                <!--<ui-select-match placeholder="&#45;&#45; 请选择 &#45;&#45; 可多选">-->
                    <!--&lt;!&ndash; <span ng-bind="config.currentDeviceNum.description"></span> &ndash;&gt;-->
                    <!--<span ng-bind="$item.description"></span>-->
                <!--</ui-select-match>-->
                <!--<ui-select-no-choice>-->
                    <!--<a href ng-click="$select.toggle($event);">-->
                        <!--<span ng-click="tipSelectClick('deviceNum');" ng-if="!config.currentWorkCenter.workCenter && !config.currentLine.workCenter" class="no-action-color">请先选择生产区域、拉线</span>-->
                        <!--&lt;!&ndash; <span ng-if="!config.currentDeviceType.resourceType" class="no-action-color">请先选择设备类型</span>-->
                        <!--<span ng-if="!config.currentLine.workCenter && !!config.currentDeviceType.resourceType" class="no-action-color">请先选择拉线</span> &ndash;&gt;-->
                        <!--<span ng-if="!!config.currentWorkCenter.workCenter || !!config.currentLine.workCenter" class="no-data-color">暂无设备号</span>-->
                    <!--</a>-->
                <!--</ui-select-no-choice>-->
                <!--<ui-select-choices repeat="item in (config.deviceNums | filter: $select.search) track by $index">-->
                    <!--<span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>-->
                <!--</ui-select-choices>-->
            <!--</ui-select>-->
        <!--</div>-->
        <div class="horizon-group horizon-col-3">
            <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(deviceInput)}">
                <input ng-init="deviceInput=false" ng-focus="deviceInput=true"
                       ng-keyup="upModel()" ng-disabled="true"
                       ng-blur="deviceInput=false" type="text"
                       value="" placeholder="搜索" class="form-control ad-left-child"
                       ng-model="config.currentDeviceNumsShow" ng-change="disableBtn()">
                <i class="fa fa-search ad-right-child focus" ng-click="toDeviceHelp()"
                   ng-if="config.showDeviceCode"></i>
                <i class="ion-ios-close-outline ad-right-child focus"
                   ng-click="deleteAll('deviceCode')" ng-if="!config.showDeviceCode"></i>
            </div>
        </div>
    </div>

    <div class="public-horizon-special">
        <div class="horizon-input-group">
            <div class="horizon-btns">
                <button type="submit" class="btn btn-primary" ng-disabled="config.btnDisabledQuery" ng-click="queryDatas();">查询</button>
            </div>
            <div class="horizon-btns">
                <button ng-if="networkConfig.canEdit" type="submit" class="btn btn-primary" ng-click="checkAndDeleteSelectedRows()" ng-disabled="config.btnDisabledDelete">删除</button>
            </div>
        </div>
        <div>
            <button type="submit" ng-if="networkConfig.canEdit" class="btn btn-primary pull-right save-btn" ng-click="saveAllAcitons();" ng-disabled="config.btnDisabledSave">保存</button>
        </div>
    </div>
</div>

<!-- <uib-modal-backdrop >fdsfsd</uib-modal-backdrop> -->
<!-- <uib-modal-window uib-modal-animation-class>.............</uib-modal-window> -->
<div class="andon-grid">
    <div ui-grid="netInfoGridOptions" class="myMiddleGrid"
         ui-grid-edit ui-grid-cellnav ui-grid-selection ui-grid-resize-columns
         ui-grid-pagination ui-grid-validate ui-grid-auto-resize></div>
</div>
    <!--  ui-grid-pagination -->
